From 702f662e21b9246348987a119e2a3ca16a31acb7 Mon Sep 17 00:00:00 2001
From: Shengjiu Wang <shengjiu.wang@nxp.com>
Date: Fri, 22 Nov 2019 15:36:31 +0800
Subject: [PATCH] LF-106: ASoC: fsl_sai: request BUS_FREQ_AUDIO

request BUS_FREQ_AUDIO

Signed-off-by: Shengjiu Wang <shengjiu.wang@nxp.com>
---
 sound/soc/fsl/fsl_sai.c | 5 +++++
 1 file changed, 5 insertions(+)

--- a/sound/soc/fsl/fsl_sai.c
+++ b/sound/soc/fsl/fsl_sai.c
@@ -23,6 +23,7 @@
 #include <linux/mfd/syscon.h>
 #include <linux/mfd/syscon/imx6q-iomuxc-gpr.h>
 #include <linux/pm_runtime.h>
+#include <linux/busfreq-imx.h>
 
 #include "fsl_dsd.h"
 #include "fsl_sai.h"
@@ -1571,6 +1572,8 @@ static int fsl_sai_runtime_suspend(struc
 
 	regcache_cache_only(sai->regmap, true);
 
+	release_bus_freq(BUS_FREQ_AUDIO);
+
 	if (sai->mclk_streams & BIT(SNDRV_PCM_STREAM_CAPTURE))
 		clk_disable_unprepare(sai->mclk_clk[sai->mclk_id[0]]);
 
@@ -1612,6 +1615,8 @@ static int fsl_sai_runtime_resume(struct
 			goto disable_tx_clk;
 	}
 
+	request_bus_freq(BUS_FREQ_AUDIO);
+
 	if (sai->soc->flags & SAI_FLAG_PMQOS)
 		pm_qos_add_request(&sai->pm_qos_req,
 				PM_QOS_CPU_DMA_LATENCY, 0);
